# DaprProtos.PubsubSubscriptionRulesOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.PubsubSubscriptionRulesOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.PubsubSubscriptionRules`, `DaprProtos.PubsubSubscriptionRules.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.PubsubSubscriptionRulesOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`DaprProtos.PubsubSubscriptionRule` `getRules​(int index)` `repeated .dapr.proto.runtime.v1.PubsubSubscriptionRule rules = 1;`
`int` `getRulesCount()` `repeated .dapr.proto.runtime.v1.PubsubSubscriptionRule rules = 1;`
`List<DaprProtos.PubsubSubscriptionRule>` `getRulesList()` `repeated .dapr.proto.runtime.v1.PubsubSubscriptionRule rules = 1;`
`DaprProtos.PubsubSubscriptionRuleOrBuilder` `getRulesOrBuilder​(int index)` `repeated .dapr.proto.runtime.v1.PubsubSubscriptionRule rules = 1;`
`List<? extends DaprProtos.PubsubSubscriptionRuleOrBuilder>` `getRulesOrBuilderList()` `repeated .dapr.proto.runtime.v1.PubsubSubscriptionRule rules = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getRulesList

    List<DaprProtos.PubsubSubscriptionRule> getRulesList()

`repeated .dapr.proto.runtime.v1.PubsubSubscriptionRule rules = 1;`

#### getRules

    DaprProtos.PubsubSubscriptionRule getRules​(int index)

`repeated .dapr.proto.runtime.v1.PubsubSubscriptionRule rules = 1;`

#### getRulesCount

    int getRulesCount()

`repeated .dapr.proto.runtime.v1.PubsubSubscriptionRule rules = 1;`

#### getRulesOrBuilderList

    List<? extends DaprProtos.PubsubSubscriptionRuleOrBuilder> getRulesOrBuilderList()

`repeated .dapr.proto.runtime.v1.PubsubSubscriptionRule rules = 1;`

#### getRulesOrBuilder

    DaprProtos.PubsubSubscriptionRuleOrBuilder getRulesOrBuilder​(int index)

`repeated .dapr.proto.runtime.v1.PubsubSubscriptionRule rules = 1;`